#include <iostream>

using namespace std;

void stampaj(char a, char b, int zbir){
    for(int i = 0; i < zbir; i++){
        if(i % 2 == 0) cout << a;
        else cout << b;
    }
}

int main()
{
    // Deklaracija
    string str;
    string greska = "nemoguce";
    char c1, c2;
    int a1, a2;

    // Unos
    cin >> str;
    c1 = str[0];
    c2 = str[1];
    cin >> a1 >> a2;
    int z = a1 + a2;

    //Obrada i ispis
    if((z % 2) == 0)
        if(a1 == a2)
            stampaj(c1, c2, z);
        else cout << greska;
    else {
        int sr = z / 2;
        if(a1 == sr)
            stampaj(c2, c1, z);
        else
            if(a1 == sr + 1)
                stampaj(c1, c2, z);
            else cout << greska;
    }

    return 0;
}